# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.ISimpleElementFactory

Packages that use ISimpleElementFactory
Package
Description
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of ISimpleElementFactory in org.eclipse.birt.report.model.api.impl

Classes in org.eclipse.birt.report.model.api.impl that implement ISimpleElementFactory
Modifier and Type
Class
Description
`class`
`SimpleElementFactory`
The factory class to create scriptable objects.

## Uses of ISimpleElementFactory in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return ISimpleElementFactory
Modifier and Type
Method
Description
`static ISimpleElementFactory`
SimpleElementFactory.`getInstance()`
Returns the factory instance.
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ISimpleElementFactory
Modifier and Type
Method
Description
`static void`
SimpleElementFactory.`setInstance(ISimpleElementFactory inFactory)`
Sets the factory instance.